Bug 76197 - finish_decl: Assertion `((decl)->decl.initial) == (tree) ((void *)0)' failed
finish_decl: Assertion `((decl)->decl.initial) == (tree) ((void *)0)' failed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
www.astro.virginia.edu/~jma2u/code
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 21:59 EDT by Jeffrey M Anderson
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 06:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey M Anderson 2002-10-17 21:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Complete error text from g77 compiler:

f771: ../../gcc/f/com.c:13455: finish_decl: Assertion `((decl)->decl.initial) ==
(tree) ((void *)0)' failed.
zeus36.f: In subroutine `round':
zeus36.f:82877: internal error: Aborted

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.using the preprocessed zeus36.f code found at the above url compile
using:

g77 -c -O3 -fno-underscoring -ffixed-line-length-0 zeus36.f

	

Actual Results:  see the description and compile.zeus36.log file at the above
url for the complete error message

Additional info:
Comment 1 Richard Henderson 2004-10-03 06:04:30 EDT
404: File not found.

Note You need to log in before you can comment on or make changes to this bug.